Package oracle.jdbc.aq

## Enum AQNotificationEvent.AdditionalEventType

- java.lang.Object
- - java.lang.Enum<AQNotificationEvent.AdditionalEventType>
  - - oracle.jdbc.aq.AQNotificationEvent.AdditionalEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<AQNotificationEvent.AdditionalEventType>`

Enclosing class:
  AQNotificationEvent

    public static enum AQNotificationEvent.AdditionalEventType
    extends Enum<AQNotificationEvent.AdditionalEventType>

### Enum Constant Summary

Enum Constants
`GROUPING` Addtional event type: grouping.
`NONE` Addtional event type: no further information about the notification.
`TIMEOUT` Addtional event type: timeout.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static AQNotificationEvent.AdditionalEventType` `getEventType​(int code)` Implementation detail (for internal use only).
`static AQNotificationEvent.AdditionalEventType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static AQNotificationEvent.AdditionalEventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final AQNotificationEvent.AdditionalEventType NONE

Addtional event type: no further information about the notification.

#### TIMEOUT

    public static final AQNotificationEvent.AdditionalEventType TIMEOUT

Addtional event type: timeout.

#### GROUPING

    public static final AQNotificationEvent.AdditionalEventType GROUPING

Addtional event type: grouping.

### Method Detail

#### values

    public static AQNotificationEvent.AdditionalEventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AQNotificationEvent.AdditionalEventType c : AQNotificationEvent.AdditionalEventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AQNotificationEvent.AdditionalEventType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

#### getEventType

    public static final AQNotificationEvent.AdditionalEventType getEventType​(int code)

Implementation detail (for internal use only).